소스 검색

Merge branch 'dev' into dev-station-activity

skyline 2 년 전
부모
커밋
2d8d5ae89d
4개의 변경된 파일52개의 추가작업 그리고 10개의 파일을 삭제
  1. 2 2
      admin-web/src/router/route.ts
  2. 15 6
      admin-web/src/views/admin/station/stat/index.vue
  3. 11 2
      admin-web/src/views/admin/station/statment/index.vue
  4. 24 0
      restart.sh

+ 2 - 2
admin-web/src/router/route.ts

@@ -130,7 +130,7 @@ export const adminRoutes: Array<RouteRecordRaw> = [
                     isAffix: false,
                     isIframe: false,
                     icon: 'ele-MapLocation',
-                    perm:"equipment.list,station.list",
+                    perm:"equipment.list,station.list,stationStatMonth.list,statement.list",
                 },
                 children: [
                     {
@@ -328,7 +328,7 @@ export const adminRoutes: Array<RouteRecordRaw> = [
                     isAffix: false,
                     isIframe: false,
                     icon: 'ele-Tools',
-                    perm:"user.list,role.list",
+                    perm:"user.list,role.list,dict.list",
                 },
                 children: [
                     {

+ 15 - 6
admin-web/src/views/admin/station/stat/index.vue

@@ -33,13 +33,22 @@
           :model="state.formQuery"
           ref="queryRef"
           size="default" label-width="0px" class="mt5 mb5">
-        <el-input
+<!--        <el-input-->
+<!--            v-model="state.formQuery.statMonth"-->
+<!--            placeholder="统计时间"-->
+<!--            clearable-->
+<!--            @blur="loadData(true)"-->
+<!--            class="wd150 mr10">-->
+<!--        </el-input>-->
+
+        <el-date-picker
+            placeholder="统计时间(月)"
+            @change="loadData(true)"
+            value-format="YYYY-MM"
             v-model="state.formQuery.statMonth"
-            placeholder="统计时间"
-            clearable
-            @blur="loadData(true)"
-            class="wd150 mr10">
-        </el-input>
+            type="month"
+            class="wd150 mr10"
+        />
 
         <ext-select
             v-model="state.formQuery.stationId"

+ 11 - 2
admin-web/src/views/admin/station/statment/index.vue

@@ -41,13 +41,22 @@
             class="wd150 mr10">
         </el-input>
 
-        <el-input
+        <el-date-picker
+            placeholder="统计时间(月)"
+            @change="loadData(true)"
+            value-format="YYYY-MM"
+            v-model="state.formQuery.statMonth"
+            type="month"
+            class="wd150 mr10"
+        />
+
+<!--        <el-input
             v-model="state.formQuery.statMonth"
             placeholder="统计时间(月)"
             clearable
             @blur="loadData(true)"
             class="wd150 mr10">
-        </el-input>
+        </el-input>-->
 
         <ext-select
             v-model="state.formQuery.stationId"

+ 24 - 0
restart.sh

@@ -0,0 +1,24 @@
+#!/bin/bash
+app=$1
+
+# 检查是否传参
+if [ -z "$app" ]; then
+  echo "Usage: $0 <app>"
+  exit 1
+fi
+
+
+# 检查是否运行中
+pid=`ps -ef|grep ${app}*.jar|grep -v jar|awk '{print $2}'`
+if [ -z "$pid" ]; then
+    echo "Error: $app is not running."
+else
+    echo "Kill $app process..."
+    kill -9 $pid
+fi
+
+echo "Start $app..."
+nohup java -jar ${app}*.jar > /dev/null 2>&1 &
+
+echo "Done."
+